Subject: [PATCH] get_maintainer: Add subsystem to reviewer output

From: [email-masked] (Lee Jones)
Date: Thu, 29 Oct 2015 09:20:07 +0000

On Wed, 28 Oct 2015, Joe Perches wrote:
> On Wed, 2015-10-28 at 17:49 +0000, Lee Jones wrote:
> > On Wed, 28 Oct 2015, Joe Perches wrote:
> > > On Wed, 2015-10-28 at 17:22 +0000, Lee Jones wrote:
> > > > On Wed, 28 Oct 2015, Joe Perches wrote:
> > > > > >   Acked-by: Lee Jones <[email-masked]>
> > > > > It'd be better if you could add a "tested-by:" instead.
> > > > 
> > > > Patch works as expected:
> > > >   Tested-by: Lee Jones <[email-masked]>
> > > []
> > > >       "I'm sure we can make the output even more similar by listing
> > > >       the MAINTAINERS tag after "reviewer" too."
> > > 
> > > I guess we'll disagree on that one too.
> > 
> > You just happened to think of it a few hours after I mentioned it.
> 
> Nope, it seems a maintainers tag is what Krzysztof was suggesting
> with his "supported reviewer" bit.

Which was in reply to the bit above.

> I added the subsystem name.

(subsystem name == MAINTAINERS tag) in my comment above.

> An issue for that will be how multiple subsystem section matching
> affects the output for reviewers who are also maintainers.

I think that's okay, becuase the 'MAINTAINERS tag' will be different.

As an example:

  Lee Jones <[email-masked]> (supporter:DRIVER SUBSYSTEM)
  Lee Jones <[email-masked]> (reviewer:VENDOR DRIVER NAME)

-- 
Lee Jones
Linaro STMicroelectronics Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog